#include<iostream>

int sum(long int a[],int l,int r)
{
	int sum2=0;
	for(int i=l; i<r+1; i++)
		sum2+=a[i];
	//printf("\nsum2:%d",sum2);
	return sum2;
}

using namespace std;
main()
{
	int n,k;
	scanf("%d%d",&n,&k);
	long int a[n];
	for(int i=0;i<n;i++)
		scanf("%d",&a[i]);
	if(k==0)
	{
		printf("%d",sum(a,0,n));
		return 0;
	}
	else if(k==1)
	{
		int sum1=0;
		for(int i=0;i<n;i++)
			for(int j=i;j<n;j++)
				sum1+=sum(a,i,j);
		printf("%d",sum1);
		return 0;
	}
}